# Method: accounts.platforms.childAccounts.sites.list

- [HTTP request](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list#body.request_body)
- [Response body](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list#body.ListPlatformChildSitesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list#body.aspect)
- [Try it!](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list#try-it)

Lists Platform Child Sites for a specified Platform Child Account.

### HTTP request

`GET https://adsenseplatform.googleapis.com/v1alpha/{parent=accounts/*/platforms/*/childAccounts/*}/sites`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the child account under the given platform which owns the platform child sites. Format: accounts/{account}/platforms/{platform}/childAccounts/{child_account} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of children to include in the response, used for paging. If unspecified, at most 10000 platforms will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` Optional. A page token, received from a previous `sites.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `sites.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response definition for the list platform child sites rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "platformChildSites": [ { object (`https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites#PlatformChildSite`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `platformChildSites[]` | ``object (`https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites#PlatformChildSite`)`` The platform child sites returned in this list response. |
| `nextPageToken` | `string` Continuation token used to page through platforms. To retrieve the next page of the results, set the next request's "pageToken" value to this. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`